//Mobile Navigation
jQuery(document).ready(function ($) {
  jQuery('.project-section .owl-carousel').owlCarousel({
    loop: true,
    margin: 24,
    nav: false,
    dots: false,
    autoplay: true,
    responsive: {
        0: {
          items: 1
          },
        768: {
          items: 2
          },
        1024: {
          items: 3
          }
    }
  });

  jQuery('.services-section .owl-carousel').owlCarousel({
    loop: true,
    nav: true,
    dots: false,
    autoplay: true,
    navText: [
      '<span class="owl-prev-btn"><i class="fas fa-arrow-left-long"></i> Prev</span>',
      '<span class="owl-next-btn">Next <i class="fas fa-arrow-right-long"></i></span>'
    ],
    responsive: {
        0: {
          items: 1
          },
        768: {
          items: 2
          },
        1024: {
          items: 4
          }
    }
  });

	$('.mobile-nav .toggle-button').on( 'click', function() {
		$('.mobile-nav .main-navigation').slideToggle();
	});

	$('.mobile-nav-wrap .close ').on( 'click', function() {
		$('.mobile-nav .main-navigation').slideToggle();

	});

	$('<button class="submenu-toggle"></button>').insertAfter($('.mobile-nav ul .menu-item-has-children > a, .mobile-nav ul .page_item_has_children > a'));
	$('.mobile-nav ul li .submenu-toggle').on( 'click', function() {
		$(this).next().slideToggle();
		$(this).toggleClass('open');
	});

	//accessible menu for edge
	 $("#site-navigation ul li a").on( 'focus', function() {
	   $(this).parents("li").addClass("focus");
	}).on( 'blur', function() {
	    $(this).parents("li").removeClass("focus");
	 });

  //header-search
	jQuery('.search-show').click(function(){
		jQuery('.searchform-inner').css('visibility','visible');
	});

	jQuery('.close').click(function(){
		jQuery('.searchform-inner').css('visibility','hidden');
	});

});

//Scroll To Top
var architectonic_structure_btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    architectonic_structure_btn.addClass('show');
  } else {
    architectonic_structure_btn.removeClass('show');
  }
});
architectonic_structure_btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

window.addEventListener('load', (event) => {
    jQuery(".preloader").delay(1000).fadeOut("slow");
});

jQuery(window).scroll(function() {
    var architectonic_structure_data_sticky = jQuery('.head_bg').attr('data-sticky');

    if (architectonic_structure_data_sticky == 1) {
      if (jQuery(this).scrollTop() > 1){  
        jQuery('.head_bg').addClass("sticky-head");
      } else {
        jQuery('.head_bg').removeClass("sticky-head");
      }
    }
});

//Preloader
function architectonic_structure_preloderFunction() {
    setTimeout(function() {           
        document.getElementById("page-top").scrollIntoView();
        
        $('#ctn-preloader').addClass('loaded');  
        // Once the preloader has finished, the scroll appears 
        $('body').removeClass('no-scroll-y');

        if ($('#ctn-preloader').hasClass('loaded')) {
            // It is so that once the preloader is gone, the entire preloader section will removed
            $('#preloader').delay(1000).queue(function() {
                $(this).remove();
                
                // If you want to do something after removing preloader:
                architectonic_structure_afterLoad();
                
            });
        }
    }, 3000);
}
function architectonic_structure_afterLoad() {
    // After Load function body!
}